/* CSS Goodies */
:root {
    --button-radius: 1.5rem;
    --shadow: .25rem;
    --border: .25rem;
    --shine-time: 5s;
    --twinkle-time: 2.5s;
    --twinkle-agro: 103%;
    --cookie-banner-size: 0px;

    --accent-color: #fd7250;
    --fg-on-accent-color: #fff;
    --top-menu-font-family: Roboto;
    --top-menu-font-size: 14px;
    --main-banner-url: url('https://cases.stretto.com/wp-content/themes/flash-child/images/header.svg');
    --main-banner-font-color: #fff;
    --cookie-notice-container-background-color: #2c4146;
    --cookie-notice-text-color: white;
    --chatbot-color: #1f6f92;
    --mobile-menu-background-color: #2c4146;
    --default-link-color: #01a2d2;
    --footer-background-color: #2c4146;
}


conductor-button .chatbot-container .chat-bot-button {
    box-shadow: none !important;
}

.chatbot-container {
    /* border: 1px dashed #ff0000; */
    position: fixed;
    bottom: 1.5rem;
    right: 1.5rem;
    display: flex;
    flex-direction: column;
    justify-items: flex-end;
    flex: 1;
    z-index: 999;
    transition: margin-bottom 1s, height 1s;
    box-shadow: none !important;
}

/* Prevent chatbot overlapping with recaptcha */
.chatbot-container-offset-recaptcha {
    margin-bottom: 5rem;
}

/* Prevent chatbot overlapping with cookie notice */
.chatbot-container-offset-cookie {
    margin-bottom: calc(var(--cookie-banner-size) - 0.5rem);
}

.chatbot-app {
    display: none;
    height: 100%;
    flex: 1;
    background: white;
    /*TODO: placeholder until we have content for iframe*/
    border: var(--border) solid var(--chatbot-color);
    box-shadow: var(--shadow) var(--shadow) rgba(28, 28, 28, .2) !important;
}

.shine-button {
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: .7rem 0.7rem;
    margin: 0 0 0 auto;
    background-color: var(--chatbot-color);
    border: none;
    border-radius: 9px;
    font-family: 'Roboto';
    font-size: 1.25rem;
    font-weight: 700;
    color: #282828;
    box-shadow: var(--shadow) var(--shadow) rgba(28, 28, 28, .2);
    overflow: hidden;
    outline: none !important;
    min-height: 25px;
    min-width: 50px;
    max-width: 250px;
    max-height: 70px;
}

.shine-button::before,
.shine-button::after {
    content: "";
    display: block;
    position: absolute;
    height: 100%;
    top: 0;
}

.chatbot-container button .ai-icon {
    margin-right: .5rem;
    /* border: 1px dashed #0000ff; */
}


/* Responsive Section */
@media screen and (max-width: 500px) {
    .chatbot-container[aria-expanded="true"] {
        bottom: 1rem;
        right: 1rem;
        width: calc(100vw - 2rem);
    }

    .chatbot-container button {
        content: none;
    }
}

@media screen and (min-width: 501px) and (max-width: 1000px) {
    .chatbot-container[aria-expanded="true"] {
        width: 60vw;
    }
}

@media screen and (min-width: 1001px) {
    .chatbot-container[aria-expanded="true"] {
        width: 40vw;
    }
}

@media screen and (max-height: 786px) {
    .chatbot-container[aria-expanded="true"] {
        height: calc(100vh - 2rem - var(--cookie-banner-size));
    }
}

@supports (height: 100dvh) {
    @media screen and (max-height: 786px) {
        .chatbot-container[aria-expanded="true"] {
            height: calc(100dvh - 2rem - var(--cookie-banner-size));
        }
    }
}

@media screen and (min-height: 787px) {
    .chatbot-container[aria-expanded="true"] {
        height: calc(90vh - var(--cookie-banner-size));
    }
}

/* Expanded States */
.chatbot-container[aria-expanded="true"] .chatbot-app {
    display: block;
}

.chatbot-container[aria-expanded="true"] .shine-button {
    border-radius: 0 0 var(--button-radius) var(--button-radius);
}

/* Stops the shimmer animation when the Chatbot is open */
.chatbot-container[aria-expanded="true"] .shine-button:before {
    display: none;
}

.chatbot-container[aria-expanded="true"] .shine-button:after {
    display: none;
}

